Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"PaySway Docs","colors":{"primary":"#7543DD","light":"#D1C4F3","dark":"#7543DD"},"logo":{"light":"https://mintcdn.com/paysway/ubcT3BaWY_BUnQOU/images/logo-light.svg?fit=max\u0026auto=format\u0026n=ubcT3BaWY_BUnQOU\u0026q=85\u0026s=f147efbb25c130e63bb19e8e86f131e6","dark":"https://mintcdn.com/paysway/ubcT3BaWY_BUnQOU/images/logo-dark.svg?fit=max\u0026auto=format\u0026n=ubcT3BaWY_BUnQOU\u0026q=85\u0026s=662206b227117c35cddee07f98d12046"},"favicon":"https://mintcdn.com/paysway/IPntF1wmcGmf3L23/favicon.svg?fit=max\u0026auto=format\u0026n=IPntF1wmcGmf3L23\u0026q=85\u0026s=caca4702d776a0f89bde16f5d46934e1","navbar":{"links":[{"href":"https://blog.paysway.io","label":"Blog"}],"primary":{"type":"button","label":"Speak to us","href":"https://calendly.com/paysway/intro"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/paysway"}},"icons":{"library":"lucide"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"paysway","hasAudioNarration":false,"actualSubdomain":"paysway","customDomains":["docs.paysway.io"],"gitSource":{"type":"github","owner":"paysway","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a5dfe343ea0b29397985ddb","collectionId":"9adc3c7d-a0e8-49bf-b235-c9b40827083d","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a5dfe343ea0b29397985ddb"},"entitlements":{},"buildId":"6a5dfe343ea0b29397985ddb:success","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"Guides","count":17},{"language":"default","tag":"API Reference","count":13},{"language":"default","tag":"Webhooks","count":10},{"language":"default","tag":"Beneficiary Hub","count":7},{"language":"default","tag":"Payment Preparation","count":7},{"language":"default","tag":"Get Started","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/payment-preparation/validate-payment-details","slug":"/api-reference/payment-preparation/validate-payment-details","pageMetadata":{"title":"Validate payment details","description":"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\n","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml post /payments/validations","href":"/api-reference/payment-preparation/validate-payment-details","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Validate payment details","description":"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\n","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml post /payments/validations","href":"/api-reference/payment-preparation/validate-payment-details","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Validate payment details","description":"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\n","requestBody":"296935c0-0149-4d8b-b2bf-8f323ec5f20a","responses":{"200":"5fa7d0c7-3c9a-49f8-8f65-67a3a814c046"},"security":["c8faa493-6cca-4686-8ec1-ab85e05a2a97"],"tags":["Payment Preparation"],"method":"post","type":"path","servers":["4938d68c-967f-43ab-9738-2e6e796cbcaa","9482d252-b2e0-4c0e-b00f-b4ffa48ea43e"],"path":"/payments/validations","baseUrlOptions":["https://api.paysway.dev","https://api.paysway.io"],"title":"Validate payment details","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"country":{"description":"ISO 3166-1 alpha-2 code","type":"string","pattern":"^[A-Z]{2,2}$","uniqueKey":"country","typeLabel":"string"},"currency":{"description":"ISO 4217 alpha code","type":"string","pattern":"^[A-Z]{3,3}$","uniqueKey":"currency","typeLabel":"string"},"creditorAgent":{"type":"object","properties":{"bic":{"type":"string","uniqueKey":"creditorAgent.bic","typeLabel":"string"},"clearingSystemMemberId":{"type":"object","properties":{"memberId":{"type":"string","uniqueKey":"creditorAgent.clearingSystemMemberId.memberId","typeLabel":"string"}},"uniqueKey":"creditorAgent.clearingSystemMemberId","typeLabel":"object"},"branchId":{"type":"string","uniqueKey":"creditorAgent.branchId","typeLabel":"string"}},"uniqueKey":"creditorAgent","typeLabel":"object"},"creditorAccount":{"type":"object","properties":{"id":{"type":"object","properties":{"value":{"type":"string","isRequired":true,"uniqueKey":"creditorAccount.id.value","typeLabel":"string"},"type":{"type":"string","enum":["IBAN","ACCOUNT_NUMBER","EMAIL","MSISDN","CARD_NUMBER","GENERIC"],"isRequired":true,"uniqueKey":"creditorAccount.id.type","typeLabel":"enum\u003cstring>"}},"required":["value","type"],"isRequired":true,"uniqueKey":"creditorAccount.id","typeLabel":"object"},"type":{"type":"string","uniqueKey":"creditorAccount.type","typeLabel":"string"}},"required":["id"],"uniqueKey":"creditorAccount","typeLabel":"object"},"creditor":{"type":"object","properties":{"name":{"type":"string","uniqueKey":"creditor.name","typeLabel":"string"},"address":{"type":"object","properties":{"country":{"description":"ISO 3166-1 alpha-2 code","type":"string","pattern":"^[A-Z]{2,2}$","isRequired":true,"uniqueKey":"creditor.address.country","typeLabel":"string"},"addressLine1":{"type":"string","uniqueKey":"creditor.address.addressLine1","typeLabel":"string"},"addressLine2":{"type":"string","uniqueKey":"creditor.address.addressLine2","typeLabel":"string"},"addressLine3":{"type":"string","uniqueKey":"creditor.address.addressLine3","typeLabel":"string"},"department":{"type":"string","uniqueKey":"creditor.address.department","typeLabel":"string"},"streetName":{"type":"string","uniqueKey":"creditor.address.streetName","typeLabel":"string"},"buildingNumber":{"type":"string","uniqueKey":"creditor.address.buildingNumber","typeLabel":"string"},"buildingName":{"type":"string","uniqueKey":"creditor.address.buildingName","typeLabel":"string"},"floor":{"type":"string","uniqueKey":"creditor.address.floor","typeLabel":"string"},"room":{"type":"string","uniqueKey":"creditor.address.room","typeLabel":"string"},"townName":{"type":"string","uniqueKey":"creditor.address.townName","typeLabel":"string"},"townLocationName":{"type":"string","uniqueKey":"creditor.address.townLocationName","typeLabel":"string"},"districtName":{"type":"string","uniqueKey":"creditor.address.districtName","typeLabel":"string"},"postBox":{"type":"string","uniqueKey":"creditor.address.postBox","typeLabel":"string"},"postCode":{"type":"string","uniqueKey":"creditor.address.postCode","typeLabel":"string"},"countrySubdivision":{"type":"string","uniqueKey":"creditor.address.countrySubdivision","typeLabel":"string"}},"required":["country"],"uniqueKey":"creditor.address","typeLabel":"object"},"contactDetails":{"type":"object","properties":{"email":{"type":"string","uniqueKey":"creditor.contactDetails.email","typeLabel":"string"},"phone":{"type":"string","uniqueKey":"creditor.contactDetails.phone","typeLabel":"string"}},"uniqueKey":"creditor.contactDetails","typeLabel":"object"},"dateOfBirth":{"type":"string","format":"date","uniqueKey":"creditor.dateOfBirth","typeLabel":"string\u003cdate>"},"taxId":{"type":"string","uniqueKey":"creditor.taxId","typeLabel":"string"},"documents":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string","isRequired":true,"uniqueKey":"creditor.documents.items.[INDEX].value","typeLabel":"string"},"type":{"type":"string","isRequired":true,"uniqueKey":"creditor.documents.items.[INDEX].type","typeLabel":"string"}},"required":["type","value"],"uniqueKey":"creditor.documents.items.[INDEX]","typeLabel":"object"},"uniqueKey":"creditor.documents","typeLabel":"object[]"},"type":{"type":"string","enum":["INDIVIDUAL","BUSINESS"],"uniqueKey":"creditor.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"creditor","typeLabel":"object"},"intermediaryAgent1":{"type":"object","properties":{"bic":{"type":"string","uniqueKey":"intermediaryAgent1.bic","typeLabel":"string"},"clearingSystemMemberId":{"type":"object","properties":{"memberId":{"type":"string","uniqueKey":"intermediaryAgent1.clearingSystemMemberId.memberId","typeLabel":"string"}},"uniqueKey":"intermediaryAgent1.clearingSystemMemberId","typeLabel":"object"},"branchId":{"type":"string","uniqueKey":"intermediaryAgent1.branchId","typeLabel":"string"}},"uniqueKey":"intermediaryAgent1","typeLabel":"object"},"intermediaryAgent2":{"type":"object","properties":{"bic":{"type":"string","uniqueKey":"intermediaryAgent2.bic","typeLabel":"string"},"clearingSystemMemberId":{"type":"object","properties":{"memberId":{"type":"string","uniqueKey":"intermediaryAgent2.clearingSystemMemberId.memberId","typeLabel":"string"}},"uniqueKey":"intermediaryAgent2.clearingSystemMemberId","typeLabel":"object"},"branchId":{"type":"string","uniqueKey":"intermediaryAgent2.branchId","typeLabel":"string"}},"uniqueKey":"intermediaryAgent2","typeLabel":"object"},"intermediaryAgent3":{"type":"object","properties":{"bic":{"type":"string","uniqueKey":"intermediaryAgent3.bic","typeLabel":"string"},"clearingSystemMemberId":{"type":"object","properties":{"memberId":{"type":"string","uniqueKey":"intermediaryAgent3.clearingSystemMemberId.memberId","typeLabel":"string"}},"uniqueKey":"intermediaryAgent3.clearingSystemMemberId","typeLabel":"object"},"branchId":{"type":"string","uniqueKey":"intermediaryAgent3.branchId","typeLabel":"string"}},"uniqueKey":"intermediaryAgent3","typeLabel":"object"},"settlementInformation":{"type":"object","properties":{"settlementSystem":{"description":"Encoded cash settlement system","type":"string","enum":["SCT","SCT_INST","SDD_CORE","SDD_B2B","US_FEDWIRE","US_FEDACH","GB_FPS","GB_CHAPS","GB_CCCC","GB_BACS_CR","GB_BACS_DR","CA_ACSS","CA_LYNX","AU_PCS","AU_RITS","AU_BECS","AU_HVCS"],"uniqueKey":"settlementInformation.settlementSystem","typeLabel":"enum\u003cstring>"}},"uniqueKey":"settlementInformation","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"country":"\u003cstring>","currency":"\u003cstring>","creditorAgent":{"bic":"\u003cstring>","clearingSystemMemberId":{"memberId":"\u003cstring>"},"branchId":"\u003cstring>"},"creditor":{"name":"\u003cstring>","contactDetails":{"email":"\u003cstring>","phone":"\u003cstring>"},"dateOfBirth":"2023-12-25","taxId":"\u003cstring>","documents":[{"value":"\u003cstring>","type":"\u003cstring>"}]},"intermediaryAgent1":{"bic":"\u003cstring>","clearingSystemMemberId":{"memberId":"\u003cstring>"},"branchId":"\u003cstring>"},"intermediaryAgent2":{"bic":"\u003cstring>","clearingSystemMemberId":{"memberId":"\u003cstring>"},"branchId":"\u003cstring>"},"intermediaryAgent3":{"bic":"\u003cstring>","clearingSystemMemberId":{"memberId":"\u003cstring>"},"branchId":"\u003cstring>"},"settlementInformation":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"5fa7d0c7-3c9a-49f8-8f65-67a3a814c046":{"description":"Validations result returned successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ALERT"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"alerts":{"type":"array","items":{"type":"object","properties":{"code":{"description":"Encoded alert reason","type":"string","enum":["CREDITOR_IBAN_INVALID_FORMAT","CREDITOR_IBAN_INVALID_COUNTRY_CODE","CREDITOR_IBAN_COUNTRY_NOT_SUPPORTED","CREDITOR_IBAN_INVALID_BBAN_STRUCTURE","CREDITOR_IBAN_INCORRECT_CHECK_DIGITS","CREDITOR_IBAN_COUNTRY_INCONSISTENCY","CREDITOR_IBAN_NO_SSI_FOR_CURRENCY","CREDITOR_BIC_INVALID_FORMAT","CREDITOR_BIC_INVALID_COUNTRY_CODE","CREDITOR_BIC_DOES_NOT_EXIST","CREDITOR_BIC_IBAN_INCONSISTENCY","CREDITOR_BIC_SCHEME_UNSUPPORTED","CREDITOR_BIC_NO_SSI_FOR_CURRENCY","CREDITOR_BIC_COUNTRY_INCONSISTENCY","CREDITOR_BIC_COMPLIANCE_HIT","CREDITOR_BANK_IDENTIFIER_INVALID_FORMAT","CREDITOR_BANK_IDENTIFIER_DOES_NOT_EXIST","CREDITOR_BRANCH_IDENTIFIER_INVALID_FORMAT","CREDITOR_BRANCH_IDENTIFIER_DOES_NOT_EXIST","CREDITOR_ACCOUNT_NUMBER_INVALID_FORMAT","CREDITOR_ACCOUNT_NUMBER_TOO_SHORT","CREDITOR_ACCOUNT_NUMBER_TOO_LONG","CREDITOR_ACCOUNT_NUMBER_INCORRECT_CHECKSUM","CREDITOR_ACCOUNT_NUMBER_INVALID_BANK_IDENTIFIER","CREDITOR_ACCOUNT_NUMBER_POSSIBLE_CARD_NUMBER","CREDITOR_ACCOUNT_ID_EMAIL_INVALID_FORMAT","CREDITOR_ACCOUNT_ID_MSISDN_INVALID_FORMAT","CREDITOR_BANK_IDENTIFIER_ACCOUNT_NUMBER_INCONSISTENCY","CREDITOR_BANK_IDENTIFIER_ACCOUNT_NUMBER_SWAP","CREDITOR_BANK_IDENTIFIER_ACCOUNT_NUMBER_DUPLICATION","CREDITOR_BANK_IDENTIFIER_SCHEME_UNSUPPORTED","INTERMEDIARY_1_INVALID_FORMAT","INTERMEDIARY_1_DOES_NOT_EXIST","INTERMEDIARY_1_NO_SSI","INTERMEDIARY_1_COMPLIANCE_HIT","INTERMEDIARY_2_INVALID_FORMAT","INTERMEDIARY_2_DOES_NOT_EXIST","INTERMEDIARY_2_NO_SSI","INTERMEDIARY_2_COMPLIANCE_HIT","INTERMEDIARY_3_INVALID_FORMAT","INTERMEDIARY_3_DOES_NOT_EXIST","INTERMEDIARY_3_NO_SSI","INTERMEDIARY_3_COMPLIANCE_HIT","CREDITOR_DOCUMENT_1_INVALID_FORMAT","CREDITOR_DOCUMENT_1_INCORRECT_CHECKSUM"],"isRequired":true,"uniqueKey":"alerts.items.[INDEX].code","typeLabel":"enum\u003cstring>"}},"required":["code"],"uniqueKey":"alerts.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"alerts","typeLabel":"object[]"}},"required":["status","alerts"],"uniqueKey":"","typeLabel":"object"},"examples":{"ALERT":{"title":"ALERT","value":{"status":"ALERT","alerts":[{"code":"CREDITOR_IBAN_INVALID_FORMAT"}]}},"OK":{"title":"OK","value":{"status":"OK","alerts":[]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"c8faa493-6cca-4686-8ec1-ab85e05a2a97":{"oauth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","scopes":{}}},"scopes":[]}}},"servers":{"4938d68c-967f-43ab-9738-2e6e796cbcaa":{"url":"https://api.paysway.dev","description":"Development environment"},"9482d252-b2e0-4c0e-b00f-b4ffa48ea43e":{"url":"https://api.paysway.io","description":"Production environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","scopes":{}}},"scopes":[]},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"The access token received from the authorization server in the OAuth 2.0 flow.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"oauth2ClientCredentials","name":"Authorization"}],"title":"oauth2ClientCredentials"}]},"originalFileLocation":"api-reference/paysway-api.yaml"},"subdomain":"paysway","siteName":"PaySway Docs","title":"Validate payment details - PaySway Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-20T10:53:47.155Z","originalFileLocation":"api-reference/payment-preparation/validate-payment-details.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\">\u003cmeta data-mint-head name=\"application-name\" content=\"PaySway Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Validate payment details - PaySway Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"PaySway Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://paysway.mintlify.app/_mintlify/api/og/v2?division=Payment+Preparation\u0026amp;title=Validate+payment+details\u0026amp;description=Accepts+the+full+or+partial+payment+instruction+and+validates+it+against+local+and+global+payment+regulations%2C+scheme+requirements%2C+bank+reference+data%2C+and+heu\u0026amp;theme=2c4c51a4c3166a0b26966646\u0026amp;signature=51f540d000352d2937f35813ed5164dcec478d26a57f1f42f83c474b5ff75ac1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Validate payment details - PaySway Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://paysway.mintlify.app/_mintlify/api/og/v2?division=Payment+Preparation\u0026amp;title=Validate+payment+details\u0026amp;description=Accepts+the+full+or+partial+payment+instruction+and+validates+it+against+local+and+global+payment+regulations%2C+scheme+requirements%2C+bank+reference+data%2C+and+heu\u0026amp;theme=2c4c51a4c3166a0b26966646\u0026amp;signature=51f540d000352d2937f35813ed5164dcec478d26a57f1f42f83c474b5ff75ac1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/paysway/U2tyFcuXGgFmNAPy/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"PaySway Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7543DD\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/payment-preparation/validate-payment-details.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.paysway.io/#organization\",\"name\":\"PaySway Docs\",\"url\":\"https://docs.paysway.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/paysway/ubcT3BaWY_BUnQOU/images/logo-light.svg?fit=max\u0026auto=format\u0026n=ubcT3BaWY_BUnQOU\u0026q=85\u0026s=f147efbb25c130e63bb19e8e86f131e6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.paysway.io#website\",\"name\":\"PaySway Docs\",\"url\":\"https://docs.paysway.io\",\"publisher\":{\"@id\":\"https://docs.paysway.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details#webpage\",\"url\":\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details\",\"name\":\"Validate payment details\",\"description\":\"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\",\"dateModified\":\"2026-07-20T10:53:47.155Z\",\"isPartOf\":{\"@id\":\"https://docs.paysway.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"PaySway Docs\",\"item\":\"https://docs.paysway.io\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Validate payment details\",\"item\":\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details#apireference\",\"headline\":\"Validate payment details\",\"name\":\"Validate payment details\",\"description\":\"Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the response will include a list of validation errors with specific reasons.\",\"url\":\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details\",\"mainEntityOfPage\":{\"@id\":\"https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details#webpage\"},\"dateModified\":\"2026-07-20T10:53:47.155Z\",\"publisher\":{\"@id\":\"https://docs.paysway.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.paysway.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"PaySway Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"PaySway Docs","nav":{"global":null,"anchors":[{"anchor":"Guides","icon":"book-open","pages":[{"title":"Guides","href":"/get-started/introduction"}]},{"anchor":"API Reference","icon":"terminal","groups":[{"group":"Payment Preparation","pages":[{"title":"Validate payment details","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml post /payments/validations","href":"/api-reference/payment-preparation/validate-payment-details"},{"title":"Bulk validate payment details","description":"Validates multiple payment instructions in a single request. Each item follows the same schema as POST /payments/validations and produces the same alert codes. Results are returned in the same order as the input. The maximum number of items per request is 20.\n","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml post /payments/bulk-validations","href":"/api-reference/payment-preparation/bulk-validate-payment-details"},{"title":"Enrich payment details","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml post /payments/enrichments","href":"/api-reference/payment-preparation/enrich-payment-details"},{"title":"Bulk enrich payment details","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml post /payments/bulk-enrichments","href":"/api-reference/payment-preparation/bulk-enrich-payment-details"}]},{"group":"Beneficiary Hub","pages":[{"title":"Create management session","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml post /beneficiaries/organizations/sessions","href":"/api-reference/beneficiary-hub/create-management-session"},{"title":"List recipients","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml get /beneficiaries/organizations/recipients","href":"/api-reference/beneficiary-hub/list-recipients"},{"title":"Get recipient","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml get /beneficiaries/organizations/recipients/{recipientId}","href":"/api-reference/beneficiary-hub/get-recipient"},{"title":"Recipient events","version":null,"deprecated":null,"openapi":"/api-reference/paysway-api.yaml webhook recipientEvents","href":"/api-reference/beneficiary-hub/recipient-events"}]},{"group":"Webhooks","pages":[{"title":"List webhook subscriptions","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml get /webhooks/subscriptions","href":"/api-reference/webhooks/list-webhook-subscriptions"},{"title":"Create webhook subscription","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml post /webhooks/subscriptions","href":"/api-reference/webhooks/create-webhook-subscription"},{"title":"Get webhook subscription","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml get /webhooks/subscriptions/{subscriptionId}","href":"/api-reference/webhooks/get-webhook-subscription"},{"title":"Delete webhook subscription","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml delete /webhooks/subscriptions/{subscriptionId}","href":"/api-reference/webhooks/delete-webhook-subscription"},{"title":"Update webhook subscription","deprecated":null,"version":null,"openapi":"/api-reference/paysway-api.yaml patch /webhooks/subscriptions/{subscriptionId}","href":"/api-reference/webhooks/update-webhook-subscription"}]}]}]},"basePath":"","title":"Validate payment details - PaySway Docs","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}